> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelgrowstyle.md).

# TableLayoutPanelGrowStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md) will gain additional rows or columns after its existing cells are full.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TableLayoutPanelGrowStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TableLayoutPanelGrowStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                                       |
| -------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **AddColumns** | The [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md) gains additional columns after it is full.                  |
| **AddRows**    | The [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md) gains additional rows after it is full.                     |
| **FixedSize**  | The [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md) does not allow additional rows or columns after it is full. |

## Used By

| Name                                                                                                                                          | Description                                                                                                                                                                        |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TableLayoutPanel.GrowStyle](/api/wisej.web/containers/tablelayoutpanel.md#growstyle)                                                         | Returns or sets whether the [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md) control should expand to accommodate new cells when all existing cells are occupied. |
| [TableLayoutSettings.GrowStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutsettings.md#growstyle)                        | Returns or sets a value indicating how the table layout should expand to accommodate new cells when all existing cells are occupied.                                               |
| [TableLayoutPanelExtensions.GrowStyle](/api/wisej.web.markup/extensions/wisej.web.markup.tablelayoutpanelextensions.md#growstyle-panel-value) | Sets the grow style for the [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md).                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelgrowstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
